/** circulo.h --- 
 *
 * Copyright (C) 2009 Antonio-M. Corbi Bellot
 *
 * Author: Antonio-M. Corbi Bellot <antonio.corbi@ua.es>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _CIRCULO_H_
#define _CIRCULO_H_

/*
 * Circulo
 */
struct Circulo {
    /* struct CirculoClass *dc; */

    /* int x; */
    /* int y; */
    /* short int seleccionada; */
  struct Figura cb;			/* cb: clase base */
  int r;
};

struct CirculoClass {
    char *nombre;

    void (*seleccionar) ();
    short int (*esta_seleccionada) ();
    void (*dibujar) ();
};

/*extern struct CirculoClass circulo_class;*/
void Circulo__dibujar(struct Circulo *self);
struct Circulo *crear_circulo(int x, int y, int r);

typedef struct Circulo* circulo_ptr;
typedef struct CirculoClass* circuloclass_ptr;

#endif // _CIRCULO_H_
