/* rectangulo.h --- 
*
* Copyright (C) 2009 Antonio-M. Corbi Bellot
*
* Author: Antonio-M. Corbi Bellot <antonio.corbi@ua.es>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2, or (at
* your option) any later version.

* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301, USA.
*/

#ifndef _RECTANGULO_H_
#define _RECTANGULO_H_

/*
 * Rectangulo
 */
struct Rectangulo {
    /* struct RectanguloClass *dc; */

    /* int x; */
    /* int y; */
    /* short int seleccionada; */

  struct Figura cb;			/* cb: clase base */
  
  int w;
  int h;
};

struct RectanguloClass {
    char *nombre;

    void (*seleccionar) ();
    short int (*esta_seleccionada) ();
    void (*dibujar) ();
};

/*extern struct RectanguloClass rectangulo_class;*/

void Rectangulo__dibujar(struct Rectangulo *self);
struct Rectangulo *crear_rectangulo(int x, int y, int w, int h);

typedef struct Rectangulo* rectangulo_ptr;
typedef struct RectanguloClass* rectanguloclass_ptr;

#endif
