/* figura.c --- 
*
* Copyright (C) 2009 Antonio-M. Corbi Bellot
*
* Author: Antonio-M. Corbi Bellot <antonio.corbi@ua.es>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2, or (at
* your option) any later version.

* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301, USA.
*/

#include <stdio.h>
#include "figura.h"

void Figura__seleccionar(struct Figura *self)
{
    self->seleccionada = 1;
}

short int Figura__esta_seleccionada(struct Figura *self)
{
    return self->seleccionada;
}

void Figura__dibujar(struct Figura *self)
{
    printf("Debes redefinir este metodo!\n");
}

struct FiguraClass figura_class = {
    "Figura",
    Figura__seleccionar,
    Figura__esta_seleccionada,
    Figura__dibujar
};
